natural-transformation-0.4: A natural transformation package.

Copyright | (C) 2015 The University of Kansas
License | BSD-style (see the file LICENSE)
Maintainer | Andy Gill
Stability | Experimental
Safe Haskell | Safe
Language | Haskell2010

Control.Object

Description

An Object type, which is a natural transformation into the `IO` monad.

Synopsis

- newtype Object f = Object (f ~> IO)
- (#) :: Transformation f g t => t -> forall a. f a -> g a

# Documentation

newtype Object f Source #

An `Object` is a natural transformation from a given `Functor` `f`, to `IO`.

Constructors

Object (f ~> IO) |

Instances

Transformation (f :: Type -> Type) IO (Object f) Source # |
Instance details Defined in Control.Object Methods (#) :: Object f -> forall (a :: k). f a -> IO a Source #

(#) :: Transformation f g t => t -> forall a. f a -> g a infix 0 Source #

The invocation method for a natural transformation.